
.form{
  background-color: lightblue;
  scroll-behavior: smooth;
}
.form2{
  background-color: lightpink;
}

.page{
  height: 100%;
  background-color: lightgreen;
  overflow: auto;
}

.stuck {
    position: fixed;
    height: 100px;
}


#connexion_main h1{
color:blue;
text-align:center;
margin-bottom:30px;
text-shadow:1px 1px 0px black;
}
#connexion_main{
width:700px;
margin-left:30%;
margin-top: 30px;
border:4px solid black;

}
#connexion_main form{
background-color: lightblue;
}
#connexion_main .ids{
margin-top:30px;
margin-left:20px;
position:relative;
}
#connexion_main .ids>input{
position:absolute;
left:30%;
width:60%;
}

#connexion_main .buttons{
display: inline-block;
margin-top:30px;
margin-left: 275px;
margin-bottom:30px;
vertical-align:top;
}
#connexion_main .links {
display: inline-block;
margin-top: 30px;
margin-left: 50px;

}

#connexion_main #link1,#connexion_main #link2{
margin-bottom: 10px;
color: blue;
cursor: pointer;
}




/* Add a black background color to the top navigation */
.topnav {
  position: relative;
  background-color: #333;
  overflow: hidden;
}

/* Style the links inside the navigation bar */
.topnav a {
  float: left;
  color: #f2f2f2;
  text-align: center;
  padding: 14px 16px;
  text-decoration: none;
  font-size: 17px;
}

/* Change the color of links on hover */
.topnav a:hover {
  background-color: #ddd;
  color: black;
}

/* Add a color to the active/current link */
.topnav a.active {
  background-color: #4CAF50;
  color: white;
}

/* Centered section inside the top navigation */
.topnav-centered a {
  float: none;
  position: absolute;
  top: 50%;
  left: 50%;
  transform: translate(-50%, -50%);
}

/* Right-aligned section inside the top navigation */
.topnav-right {
  float: right;
}



.comcontainer {
max-width:750px;
  border: 2px solid #dedede;
  background-color: #f1f1f1;
  border-radius: 5px;
  padding: 10px;
  margin: 10px 30px;
  margin-left: 75px;
}

.postcontainer {
  width:875px;
	max-width:875px;
  border: 2px solid #dedede;
  background-color: #f1f1f1;
  border-radius: 5px;
  padding: 10px;
  margin: 10px 0;
}

.darker {
  border-color: #ccc;
  background-color: #ddd;
}

.postcontainer::after,.comcontainer::after {
  content: "";
  clear: both;
  display: table;
}

.postcontainer img, .comcontainer img {
  float: left;
  max-width: 80px;
  width: 100%;
  height:auto;
  margin-right: 20px;
  border-radius: 50%;
}

.time-right {
  float: right;
  color: #aaa;
}

footer button.btn {
  display: flex;
  padding-left: 20px;
  padding-right: 20px;
  border-radius: 15px;
}




/*profile*/
.card {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  max-width: 1000px;
  margin: auto;
  text-align: auto;
  font-family: arial;
}

.card img{
    max-width:40%;
    max-height: 400px;
    margin-left: 30%;
}
/*
.card {
  box-shadow: 0 4px 8px 0 rgba(0, 0, 0, 0.2);
  max-width: 800px;
  margin: auto;
  text-align: center;
  font-family: arial;
}

*/
.infouser{
  text-align: center;
  font-size: 25px;
  color:#000;
}
.title {
  color: grey;
  font-size: 18px;
}

button {
  border: none;
  outline: 0;
  display: inline-block;
  padding: 8px;
  color: white;
  background-color: #000;
  text-align: center;
  cursor: pointer;
  width: 100%;
  font-size: 18px;
}



/* profile thumbnail and coms and posts*/


.thumbnailcontainer {
  overflow: auto;
 max-width:850px;
border: 2px solid #dedede;
background-color: #f1f1f1;
border-radius: 5px;
padding: 10px;
margin: 10px 30px;
margin-left: 75px;
}
.thumbnailcontainer img{
  float: left;
  max-width: 80px;
  width: 100%;
  margin-right: 20px;
  border-radius: 50%;
  height:auto;
}

.like{
 box-sizing: border-box;
}

.columnimg {
  border: 2px solid #dedede;
  background-color: #f1f1f1;
 float: left;
 width: 10%;
 height:100px;
 padding: 5px;
}

.columnimg >img{
 height:100%;
 width:100%;
}

.columninfo{  border: 2px solid #dedede;
 background-color: #f1f1f1;
 border: 2px solid #dedede;
 float:right;
 width:90%;
 padding: 10px;
}

.row::after {
 content: "";
 clear: both;
 display: table;
}


/*for likes*/
.like {
  color: inherit;
  text-decoration: inherit;
  font-weight: bold;
  float: right;
}


.dropbtn {
  background-color: #4CAF50;
  color: white;
  padding: 10px;
  font-size: 10px;
  border: none;
}

.dropdown {
  float: right;
  position: relative;
  display: inline-block;
}

.dropdown-content {
  display: none;
  position: absolute;
  background-color: #f1f1f1;
  min-width: 100px;
  font-size: 12px;
  right:0px;
  box-shadow: 0px 8px 8px 0px rgba(0,0,0,0.2);
}

.dropdown-content a {
  color: black;
  padding: 10px 10px;
  text-decoration: none;
  display: block;
  }

.dropdown-content a:hover {background-color: #ddd;}
.dropdown:hover .dropdown-content {display: block;}
.dropdown:hover .dropbtn {background-color: #3e8e41;}


.searchbox{
     display: block;
     float: left;
     margin-top:50px;
     margin-left:5px;
     height: 40px;
     width: 400px;
 }

 .searchsubmit{
     display: block;
     float: left;
     height: 40px;
     margin-top:50px;
     margin-left:5px;
     margin-right:50px;
     width: 100px;
     margin-bottom: 50px;
 }

 .searchchoice{
     display: block;
     float: left;
     height: 40px;
     margin-top:50px;
     margin-left:100px;
     width: 150px;
     margin-bottom: 50px;
 }

 .searchres{
     margin-top: 250px;
 }


.thumbnailbutton{
    length:20px;
    float:right;
    display: block;
    vertical-align: text-bottom;
    display: inline-block;
    cursor: pointer;
}
* { box-sizing: border-box }
